camel-filter-search
3
CAMEL Library

# camel-filter-search

## Synopsis

    CamelMimeMessage*   (*CamelFilterSearchGetMessageFunc)  (void *data,
                                                             CamelException *ex);
    int                 camel_filter_search_match           (CamelSession *session,
                                                             CamelFilterSearchGetMessageFunc get_message,
                                                             void *data,
                                                             CamelMessageInfo *info,
                                                             const char *source,
                                                             const char *expression,
                                                             CamelException *ex);

## Description

## Details

### CamelFilterSearchGetMessageFunc ()

    CamelMimeMessage*   (*CamelFilterSearchGetMessageFunc)  (void *data,
                                                             CamelException *ex);

`data` :

`ex` :

Returns :

### camel_filter_search_match ()

    int                 camel_filter_search_match           (CamelSession *session,
                                                             CamelFilterSearchGetMessageFunc get_message,
                                                             void *data,
                                                             CamelMessageInfo *info,
                                                             const char *source,
                                                             const char *expression,
                                                             CamelException *ex);

`session` :

`get_message` :

  function to retrieve the message if necessary

`data` :

  data for above

`info` :

`source` :

`expression` :

`ex` :

Returns :

  one of CAMEL_SEARCH_MATCHED, CAMEL_SEARCH_NOMATCH, or CAMEL_SEARCH_ERROR.